package com.bonus.sgzb.material.service.impl;

import com.bonus.sgzb.material.domain.LeaseApplyInfo;
import com.bonus.sgzb.material.mapper.ApplyInfoMapper;
import com.bonus.sgzb.material.service.ApplyInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author：梁超
 * @date：2024/3/6 - 17:42
 */
@Service
public class ApplyInfoServiceImpl implements ApplyInfoService {

    @Resource
    private ApplyInfoMapper applyInfoMapper;

    @Override
    public int genderLeaseCode(LeaseApplyInfo record) {
        return applyInfoMapper.insertSelective(record);
    }

    @Override
    public List<LeaseApplyInfo> selectIdByTaskId(Integer id) {
        return applyInfoMapper.selectIdByTaskId(id);
    }
}
